This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 997569 - Journal-type for HA should be NIO
Journal-type for HA should be NIO
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.1.1
Assigned To: Lucas Costi
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 11:50 EDT by Justin Bertram
Modified: 2014-08-14 11:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11865, Administration and Configuration Guide-6.1-4 Build Date: 12-07-2013 01:29:20 Topic ID: 13604-459142 [Specified]
Last Closed: 2013-09-16 16:20:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Bertram 2013-08-15 11:50:32 EDT
Title: About HornetQ Shared Stores

Describe the issue:  The documentation says, "The journal-type attribute must be set to ASYNCIO for these options, as NIO cannot be used for high availability."  To my knowledge this is backwards.


Suggestions for improvement:  Change the documentation to say, "The journal-type attribute must be set to NIO for these options, as ASYNCIO cannot be used for high availability."


Additional information:  HornetQ's own documentation states, "Also, please note that AIO will only work with the following file systems: ext2, ext3, ext4, jfs, xfs. With other file systems, e.g. NFS it may appear to work, but it will fall back to a slower synchronous behaviour."  See http://docs.jboss.org/hornetq/2.3.0.Final/docs/user-manual/html/persistence.html.  For the sake of this discussion AIO and ASYNCIO are synonymous.
Comment 1 Lucas Costi 2013-08-16 01:21:13 EDT
Change made as suggested in topic 13604 (rev. 495451).

The changes will be reflected in the next document build, and the status will be changed to ON_QA when it is ready for review.
Comment 3 Miroslav Novak 2013-08-30 03:06:38 EDT
Hi,

there is a confusion which journal type can be used on SAN and NFSv4.

HA with shared store on SAN is supported only with ASYNCIO(=AIO) journal-type.
HA with shared store on NFS (RHEL implementation) is supported with ASYNCIO and NIO journal-type.

"Important" paragraph:

HornetQ supports shared stores on GFS2 on SAN, as well as high availability on NFSv4. The journal-type attribute must be set to ASYNCIO for these options, as NIO cannot be used for high availability. 

should be changed to:

HornetQ supports shared stores on GFS2 on SAN only with ASYNCIO journal type. Shared store on NFSv4 is supported with journal-type ASYNCIO and NIO.

Cheers,
Mirek
Comment 6 Miroslav Novak 2013-09-02 06:27:17 EDT
Verified. Thanks!

Note You need to log in before you can comment on or make changes to this bug.